#pragma once

#include "HashGraphV1/HashGraphV1.h"
#include "HashGraphV2/HashGraphV2.h"
//#include "HashGraphS/HashGraphS.h"

#include "../Value.hpp"


template<template<class, class, class> class HG, typename T, typename Device>
class HashGraphSet : public HG<Value<T>, T, Device> {
  public:
    HashGraphSet(const Array<T, Device>& values);
    bool contains(const T& value) const;
};


#include "HashGraphSet.hpp"
