#pragma once

#include <TNL/Cuda/CudaCallable.h>


namespace TestSet {
struct Triangle {
    __cuda_callable__ Triangle();

    __cuda_callable__ Triangle(int v[3]);

    __cuda_callable__ bool operator<(const Triangle& other) const;

    __cuda_callable__ bool operator==(const Triangle& other) const;

    int v[3];
};
}

#include "Triangle.hpp"
