#pragma once

#include <TNL/Cuda/CudaCallable.h> 


class RandomIntGenerator {
  public:
    __cuda_callable__ RandomIntGenerator(const int c = 10538);
    __cuda_callable__ int operator()();
  
  private:
    const int C;

    int m_last = 0;
};

#include "RandomIntGenerator.hpp"
