#pragma once

#include "Triangle.h"

#include <algorithm>


TestSet::Triangle::Triangle() {}

TestSet::Triangle::Triangle(int v[3]) {
    for (int i = 0; i < 3; i++)
        this->v[i] = v[i];
    auto _sort = [](int& v1, int& v2) {
        if (v1 > v2) {
            int temp = v1;
            v1 = v2;
            v2 = temp;
        }
    };
    _sort(this->v[0], this->v[1]);
    _sort(this->v[0], this->v[2]);
    _sort(this->v[1], this->v[2]);
}

bool TestSet::Triangle::operator<(const Triangle& other) const {
    for (int i = 0; i < 3; i++)
        if (this->v[i] != other.v[i])
            return this->v[i] < other.v[i];
    return false;
}

bool TestSet::Triangle::operator==(const Triangle& other) const {
    for (int i = 0; i < 3; i++)
        if (this->v[i] != other.v[i])
            return false;
    return true;
}